El CAPTCHA de Adobe Commerce 2.3.6 y 2.4.1 en el cierre de compra no funciona

Este artículo proporciona un parche para el problema en el que la función CAPTCHA para pago y envío no funciona como se espera en la página Realizar pedido cuando se utilizan proveedores de pago de terceros como Paypal Express, Payflow Pro o CyberSource en Adobe Commerce.

Este problema conocido se menciona en la documentación para desarrolladores de:

Para Adobe Commerce 2.3.6:

Para Adobe Commerce 2.4.1:

Productos y versiones afectados

  • Adobe Commerce (todos los métodos de implementación) 2.3.6 y 2.4.1
  • Magento Open Source 2.3.6 y 2.4.1

Problema

Pasos a seguir

  1. Configura al menos uno de estos métodos de pago en Commerce: Paypal Express, Payflow Pro o CyberSource.

  2. Ir a Administración > Tiendas > Configuración > Clientes > Configuración del cliente > CAPTCHA .

    • Establecer Habilitar CAPTCHA en la tienda = .
    • Seleccionar en Forms : Cierre de compra/Colocación de pedido , Iniciar sesión , y Contraseña olvidada .
    • Establecer Modo de visualización = Después del número de intentos de inicio de sesión (para hacer que la Número de intentos de inicio de sesión erróneos configuración aparecerá).
    • Establecer Número de intentos de inicio de sesión erróneos = 0 (para hacer que captcha funcione todo el tiempo).
  3. En el front-end, agregue un producto al carro de compras e intente realizar el cierre de compra.

  4. En la página de información de pago, introduce captcha e intenta pagar con Paypal Express, Payflow Pro o CyberSource.

Resultado esperado:

La función CAPTCHA funciona según lo esperado.

Resultado real:

Se muestra el mensaje de error: Proporcione el código CAPTCHA e inténtelo de nuevo.

Solución

Aplique uno de los parches siguientes en función de si utiliza Adobe Commerce local/Adobe Commerce en la infraestructura en la nube/Magento Open Source 2.3.6 o 2.4.1.

Parches

Los parches se adjuntan a este artículo, disponibles para su descarga en ambos .composer y .git formatos.

Para descargar un parche, desplácese hacia abajo hasta el final del artículo y haga clic en el nombre del archivo o haga clic en uno de los siguientes vínculos:

Para Adobe Commerce local/Adobe Commerce en la infraestructura en la nube/Magento Open Source 2.3.6 :

Para Adobe Commerce local/Adobe Commerce en la infraestructura en la nube/Magento Open Source 2.4.1 :

Estos parches no son compatibles con ninguna otra versión y edición de Adobe Commerce o de Magento Open Source.

Cómo aplicar el parche

parche de Composer

Consulte Cómo aplicar un parche del compositor proporcionado por el Adobe en nuestra base de conocimiento de soporte para instrucciones de composer patch.

parche de Git

Consulte documentación para desarrolladores Aplicación de parches: parches personalizados para obtener instrucciones sobre el parche de git para Adobe Commerce/Magento Open Source.

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a